/*
 * Copyright © 2007 Global Locate.
 *
 * Written by Ken Yale.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <gtk/gtk.h>
#include <stdlib.h>

//      Dummy page to show how to add another page easily.

GtkWidget* add_msg;

static void 
on_clicked_connect(GtkWidget *widget, gpointer data) 
{
    g_print("User has clicked button connect\n");
}

static void 
on_clicked_dial(GtkWidget *widget, gpointer data) 
{
    g_print("User has clicked button dial\n");
}

static void 
on_clicked_acp(GtkWidget *widget, gpointer data) 
{
    g_print("User has clicked button accept\n");
}

static void
on_clicked_hangup(GtkWidget *widget, gpointer data)
{
    g_print("User has clicked button hangup\n");
}

GtkWidget*
page_ADD_create(GtkWidget* window)
{
    GtkWidget* table = gtk_table_new(14,10,TRUE);
    GtkWidget* scrolled_window = gtk_scrolled_window_new (NULL, NULL);
    gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_window),
                                    GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
    gtk_table_attach_defaults (GTK_TABLE (table), scrolled_window, 0, 10, 0, 11);

    GtkWidget* hb1 = gtk_frame_new ("Test Message");
    add_msg = gtk_label_new("");
    gtk_label_set_justify((GtkLabel*)add_msg, GTK_JUSTIFY_LEFT);
    gtk_container_add (GTK_CONTAINER (hb1), add_msg);
    gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (scrolled_window),
                    hb1);

    GtkWidget* frame_table = gtk_table_new (2, 2, TRUE);
    GtkWidget* start_btn = gtk_button_new_with_label ("Connect");
    g_signal_connect(G_OBJECT(start_btn),
                     "clicked",G_CALLBACK (on_clicked_connect), NULL);
    gtk_table_attach_defaults (GTK_TABLE (frame_table), start_btn, 0, 1, 0, 1);
    
    GtkWidget* dial_btn = gtk_button_new_with_label ("Dial 112");
    g_signal_connect(G_OBJECT(dial_btn),
                     "clicked",G_CALLBACK (on_clicked_dial), NULL);
    gtk_table_attach_defaults (GTK_TABLE (frame_table), dial_btn, 1, 2, 0, 1);

    GtkWidget* acp_btn = gtk_button_new_with_label ("Accept");
    g_signal_connect(G_OBJECT(acp_btn), "clicked", G_CALLBACK(on_clicked_acp), NULL);
    gtk_table_attach_defaults (GTK_TABLE (frame_table), acp_btn, 0, 1, 1, 2);
    GtkWidget* hang_btn = gtk_button_new_with_label ("Hang up");
    g_signal_connect(G_OBJECT(hang_btn),
                     "clicked", G_CALLBACK(on_clicked_hangup), NULL);
    gtk_table_attach_defaults (GTK_TABLE (frame_table), hang_btn, 1, 2, 1, 2);
    gtk_table_attach_defaults(GTK_TABLE (table), frame_table, 0, 10, 11, 14);

    gtk_widget_show(scrolled_window);
    gtk_widget_show(hb1);
    gtk_widget_show(add_msg);
    gtk_widget_show(frame_table);
    gtk_widget_show(start_btn);
    gtk_widget_show(dial_btn);
    gtk_widget_show(acp_btn);
    gtk_widget_show(hang_btn);
    gtk_widget_show(table);

    printf("%s/%d\n", __FILE__, __LINE__);
    return table;
}

void
page_ADD_report(FILE* f)
{
    fprintf(f, "Say something about %s/%d\n", __FILE__, __LINE__);
}
